account/urls.py
from django.urls import path 

from . import views 

app_name="account"
urlpatterns = [ 
    path("login", views.UserLoginView.as_view(), name="login"),
    path("signup", views.UserSignupView.as_view(), name="signup"),
    path("logout", views.UserLogout, name="logout"),
    path("profile", views.ProfileView.as_view(), name="profile"),
    path("profile-update", views.ProfileUpdateView.as_view(), name="profile-update"),
    path("change-passworld",views.PassswordChangeView.as_view(), name="password-change"),
]

blog/urls.py
from django.urls import path 

from . import views 

app_name="blog"
urlpatterns = [ 
    path("", views.HomeView.as_view(), name="home"),
    path("posts/search", views.PostSearchView.as_view(),name="post-search" ),
    path("posts/create", views.PostCreateView.as_view(), name="post-create"),
    path("posts/<slug:slug>/update", views.PostUpdateView.as_view(), name="post-update" ),
    path("posts/<slug:slug>/delete", views.PostDeleteView.as_view(), name="post-delete" ),
    path("posts/<slug:slug>/comment", views.CommentHandleView.as_view(), name="comment"),
    path("posts/<slug:slug>/vote", views.VoteCountView.as_view(),name="vote-count" ),
    path("posts/<slug:slug>", views.PostDetailView.as_view(), name="post-detail"),

]

blog_project/urls.py
from django.contrib import admin
from django.urls import path, include

from django.conf.urls.static import static
from django.conf import settings 

urlpatterns = [
    path('admin/', admin.site.urls),
    path("", include("blog.urls")),
    path("account/", include("account.urls")),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT) + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

# if settings.DEBUG:
#     static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <title>{% block title %} {% endblock %}</title>
    <style>
        .errors{
            color:red;
        } 
        a{
            text-decoration: none;
        }
        .errorlist{
            color:red;
        }
        footer{
            background:#222;
            padding: 1px; 
        }
        .copy{
            padding-top:10px;
        }
         .pagination-link:hover{
            background: rgb(199, 199, 199);

         }
         .current-page{
             background: rgb(245, 171, 33);
             padding:3px 10px;
             border-radius: 5px;
         }
    </style>
</head>
<body>
    {% include "navbar.html" %}
    <div class="container mt-2 mb-5" style="max-width: 850px; ">
        {% block content %}
        {% endblock %}
    </div>
    {% include 'footer.html' %} 
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>

templates/footer.html
{% comment %}   

        <footer class="container-fluid footer mt-auto py-3 bg-light text-center text-muted">
    <p class="col-md-4 mb-0 text-muted">&copy; 2021 YbaBlog, Inc</p>
    </a> 
    <ul class="nav col-md-4 justify-content-end"> 
      <li class="nav-item"><a href="https://www.linkedin.com/" target="_blank" class="nav-link px-2 text-muted">Linkedin</a></li> 
      <li class="nav-item"><a href="https://www.facebook.com/" target="_blank" class="nav-link px-2 text-muted">Facebook</a></li>
      <li class="nav-item"><a href="https://www.instagram.com/" target="_blank" class="nav-link px-2 text-muted">Instagram</a></li>
    </ul>
  </footer>  {% endcomment %}

  <footer class="container-fluid fixed-bottom mt-3">
    <div class="row text-center">
      <div class="col-md-4">

      </div>

      <div class="col-md-4" >
        <p class="text-light copy" id="copyright"></p>
      </div>

      <div class="col-md-4">
        
      </div>
    </div>
  </footer>

  <script type="text/javascript">
    var year = new Date().getFullYear();
    var date = `&copy; YbaBlog ${year}. All Rights Reserved.`;
    document.getElementById('copyright').innerHTML = date; 
  </script> 

templates/navbar.html
{% comment %} <nav class="nav navbar-dark  bg-dark " style="color:white;">
  <a class="nav-link active" aria-current="page" href="{% url 'blog:home' %}">Home</a>
  {% if request.user.is_authenticated %}  
    <a class="nav-link" href="{% url 'account:profile' %}">Profile</a>
    <a class="nav-link" href="{% url 'account:logout' %}">Logout</a>
  {% else %}
    <a class="nav-link" href="{% url 'account:login' %}">Login</a>
    <a class="nav-link" href="{% url 'account:signup' %}">SignUp</a>
  {% endif %} 
  <p class="nav-link" style=" border: 1px solid white"><b>User: {{ request.user.username }}</b><p>
</nav> {% endcomment %}

{% load static %}
<nav class="navbar navbar-expand-lg navbar-expand-md navbar-dark bg-dark">
  <div class="container-fluid flex-wrap flex-md-nowrap"  aria-label="Main navigation">
   <a href="{% url 'blog:home'%}"><img class="rounded" src="{% static 'logo1.png' %}" id='logo' style=" height: 45px; width: 88px;"></a>
   
 <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'blog:home' %}">Home</a>
        </li>
        {% if request.user.is_authenticated %}  
          <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'account:profile' %}">Profile</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active" href="{% url 'account:logout' %}">Logout</a>
          </li>
          
        {% else %}
           <li class="nav-item">
            <a class="nav-link active" aria-current="page" href="{% url 'account:login' %}">Login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link active"  href="{% url 'account:signup' %}">SignUp</a>
          </li>
        {% endif %}

 
      </ul>

      {% if request.user.is_authenticated %}
       <p class="nav-link" style="color:white;" ><b>User: {{ request.user.username }}</b><p>
      {% endif %}
      <form class="d-flex" action="{% url 'blog:post-search' %}" method="GET">
        <input class="form-control me-2" type="search" name="keyword" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form>
    </div>
  </div>
</nav>
{% comment %} 
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="#">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="#">Link</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Dropdown
          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            <li><a class="dropdown-item" href="#">Action</a></li>
            <li><a class="dropdown-item" href="#">Another action</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="#">Something else here</a></li>
          </ul>
        </li>
        <li class="nav-item">
          <a class="nav-link disabled">Disabled</a>
        </li>
      </ul>
      <form class="d-flex">
        <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form>
    </div>
  </div>
</nav> {% endcomment %}